using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "Diablo's Corpse" )]
	public class Diablo : BaseCreature
	{
		[Constructable]
		public Diablo () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Diablo";
			Body = 102;
			BaseSoundID = 357;
			Hue = 1157;

			SetStr( 2000, 2050 );
			SetDex( 177, 255 );
			SetInt( 925, 1345 );

			SetHits( 6000, 6050 );

			SetDamage( 50, 40 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Fire, 25 );
			SetDamageType( ResistanceType.Energy, 25 );

			SetResistance( ResistanceType.Physical, 65, 80 );
			SetResistance( ResistanceType.Fire, 60, 80 );
			SetResistance( ResistanceType.Cold, 50, 60 );
			SetResistance( ResistanceType.Poison, 100 );
			SetResistance( ResistanceType.Energy, 40, 50 );

			SetSkill( SkillName.Anatomy, 25.1, 50.0 );
			SetSkill( SkillName.EvalInt, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 95.5, 100.0 );
			SetSkill( SkillName.Meditation, 25.1, 50.0 );
			SetSkill( SkillName.MagicResist, 100.5, 150.0 );
			SetSkill( SkillName.Tactics, 90.1, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 100.0 );

			Fame = 24000;
			Karma = -24000;

			VirtualArmor = 90;

			PackGold( 1100, 1800 );

			PackItem( new DiabloGem() );
			
  switch ( Utility.Random( 6 ))
   { 
	case 0: PackItem( new DiabloChest() ); break; 
	case 1: PackItem( new DiabloArms() ); break;
	case 2: PackItem( new DiabloLegs() ); break;
	case 3: PackItem( new DiabloSword() ); break; 
	case 4: PackItem( new DiabloGloves() ); break;
	case 5: PackItem( new DiabloGorget() ); break;
  }
}  
		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.MedScrolls, 2 );
		}
		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Deadly; } }
		public override int TreasureMapLevel{ get{ return 5; } }
	
		public Diablo( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
