using System;
using Server;

namespace Server.Items
{
	public class DiabloGorget : PlateGorget
	{
		
		public override int ArtifactRarity{ get{return 100; } }
            public override int BasePhysicalResistance{ get{ return 22; } }
		public override int BaseFireResistance{ get{ return 20; } }
		public override int BaseColdResistance{ get{ return 25; } }
		public override int BasePoisonResistance{ get{ return 18; } }
		public override int BaseEnergyResistance{ get{ return 14; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public DiabloGorget()
		{
			Weight = 4.0; 
            	Name = "Diablo's Gorget"; 
            	Hue = 1157;

			Attributes.BonusHits = 35;
			Attributes.ReflectPhysical = 20;
			Attributes.DefendChance = 30;
			Attributes.ReflectPhysical = 5;
			Attributes.Luck = 69;

			ArmorAttributes.MageArmor = 1;
			ArmorAttributes.SelfRepair = 50;


			

		}

		public DiabloGorget( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
