using System; 
using Server; 
using Server.Gumps; 
using Server.Network;
using Server.Items;
using Server.Mobiles;

namespace Server.Gumps
{ 
   public class DiabloQuestGump : Gump 
   { 
      public static void Initialize() 
      { 
         Commands.Register( "DiabloQuestGump", AccessLevel.GameMaster, new CommandEventHandler( DiabloQuestGump_OnCommand ) ); 
      } 

      private static void DiabloQuestGump_OnCommand( CommandEventArgs e ) 
      { 
         e.Mobile.SendGump( new DiabloQuestGump( e.Mobile ) ); 
      } 

      public DiabloQuestGump( Mobile owner ) : base( 50,50 ) 
      { 
//----------------------------------------------------------------------------------------------------

				AddPage( 0 );
			AddImageTiled(  54, 33, 369, 400, 2624 );
			AddAlphaRegion( 54, 33, 369, 400 );

			AddImageTiled( 416, 39, 44, 389, 203 );
//--------------------------------------Window size bar--------------------------------------------
			
			AddImage( 97, 49, 9005 );
			AddImageTiled( 58, 39, 29, 390, 10460 );
			AddImageTiled( 412, 37, 31, 389, 10460 );
			AddLabel( 140, 60, 0x34, "Diablo Quest" );
			

			AddHtml( 107, 140, 300, 230, "<BODY>" +
//----------------------/----------------------------------------------/
"<BASEFONT COLOR=YELLOW><I>Jack Looks at you blankly</I><BR><BR>Oh Oooh... The Pain!<BR><BR>" +
"<BASEFONT COLOR=YELLOW>HELP US! Diablo has been terrorizing our town and has eaten 6 of our cows!<BR><BR>" +
"<BASEFONT COLOR=YELLOW>Travel Far Or Near and find Diablo, defeat him and bring me the gem from his head<I>*Smiles*</I> Kill Him For me while I fix this wound" +
"<BASEFONT COLOR=YELLOW>Then I will take the gem and imbue it into a sword so noone may use it to turn into the devil himself<BR><BR>Oh yeah, if you obtain a Minion Gem give it to My brother, Matt he will pay you 1000 gold and if you give my friend Linda 20 redbones she will pay you 20000 gold and then theres a weird guy named Zulock who will give you his blood sword for a Ball of Harpy" +
 
                                              "</BODY>", false, true);
			

			AddImage( 430, 9, 10441);
			AddImageTiled( 40, 38, 17, 391, 9263 );
			AddImage( 6, 25, 10421 );
			AddImage( 34, 12, 10420 );
			AddImageTiled( 94, 25, 342, 15, 10304 );
			AddImageTiled( 40, 427, 415, 16, 10304 );
			AddImage( -10, 314, 10402 );
			AddImage( 56, 150, 10411 );
			AddImage( 155, 120, 2103 );
			AddImage( 136, 84, 96 );

			AddButton( 225, 390, 0xF7, 0xF8, 0, GumpButtonType.Reply, 0 ); 

//--------------------------------------------------------------------------------------------------------------
      } 

      public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons 
      { 
         Mobile from = state.Mobile; 

         switch ( info.ButtonID ) 
         { 
            case 0: //Case uses the ActionIDs defenied above. Case 0 defenies the actions for the button with the action id 0 
            { 
               //Cancel 
               from.SendMessage( "Get The DiabloGem and give it to Jack" );
               break; 
            } 

         }
      }
   }
}
