using System;
using Server;

namespace Server.Items
{
	public class DiabloSword : Broadsword
	{
		public override int ArtifactRarity{ get{ return 550; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public DiabloSword()
		{
			Name = "Diablo's Sword";
			Hue = 1157;
			
			DurabilityLevel = WeaponDurabilityLevel.Indestructible;
         	Quality = WeaponQuality.Exceptional;

				WeaponAttributes.HitLightning = 20;
				WeaponAttributes.HitDispel = 100;
				WeaponAttributes.HitFireball = 60;
				WeaponAttributes.HitHarm = 70;
				WeaponAttributes.HitMagicArrow = 65;
				WeaponAttributes.HitLeechHits = 40;
				WeaponAttributes.HitLeechMana = 40;
				WeaponAttributes.HitLeechStam = 50;
				WeaponAttributes.HitLowerAttack = 60;
				WeaponAttributes.HitLowerDefend = 75;
				Attributes.BonusHits = 20;
				Attributes.WeaponDamage = 100;
				Attributes.WeaponSpeed = 55;
				Attributes.RegenHits = 5;
				Attributes.SpellChanneling = 1;
				Attributes.CastSpeed = 2;
				Attributes.RegenMana = 5;
				Slayer = SlayerName.Silver; 
		}

		

		public DiabloSword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
