
using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.ContextMenus;
using Server.Gumps;
using Server.Misc;
using Server.Network;
using Server.Spells;
using Server.Accounting;

namespace Server.Mobiles
{
	[CorpseName( "Zulock's Corpse" )]
	public class Zulock : Mobile
	{
                public virtual bool IsInvulnerable{ get{ return true; } }
		[Constructable]
		public Zulock()
		{
			Name = "Zulock";
                        Title = "Harpy Hunter";
			Body = 0x190;
			CantWalk = true;
			Hue = 0x83F8;
			AddItem( new Server.Items.Robe( 1157 ) );
			AddItem( new Server.Items.ShortPants( 1157 ) );
			
			

                        int hairHue = 1157;

			switch ( Utility.Random( 1 ) )
			{
				case 0: AddItem( new ShortHair( hairHue ) ); break;
			} 
			
			Blessed = true;
			
			}



		public Zulock( Serial serial ) : base( serial )
		{
		}

		public override void GetContextMenuEntries( Mobile from, ArrayList list ) 
	        { 
	                base.GetContextMenuEntries( from, list ); 
        	        list.Add( new ZulockEntry( from, this ) ); 
	        } 

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public class ZulockEntry : ContextMenuEntry
		{
			private Mobile m_Mobile;
			private Mobile m_Giver;
			
			public ZulockEntry( Mobile from, Mobile giver ) : base( 6146, 3 )
			{
				m_Mobile = from;
				m_Giver = giver;
			}
	} 
				

		public override bool OnDragDrop( Mobile from, Item dropped )
		{          		
         	        Mobile m = from;
			PlayerMobile mobile = m as PlayerMobile;

			if ( mobile != null)
			{
				if( dropped is HarpyBall )
			{
				if( dropped.Amount!=1)
				{
					this.PrivateOverheadMessage( MessageType.Regular, 1153, false, "Here's a Harpy Sword", mobile.NetState );
					return false;
				}
				
					dropped.Delete();
					mobile.SendGump( new DiabloQuestGump5(m) );
					
 			if( 1 > Utility.RandomDouble() ) // 1 = 100% = chance to drop 
			switch ( Utility.Random( 1 ))  
			{ 
		
					case 0: mobile.AddToBackpack( new HarpySword() ); break;
					
			}					
				
					return true;
         		}
				else if ( dropped is HarpyBall )
				{
				this.PrivateOverheadMessage( MessageType.Regular, 1153, 1054071, mobile.NetState );
         			return false;
				}
         		else
         		{
					this.PrivateOverheadMessage( MessageType.Regular, 1153, false, "Thats Not The ball", mobile.NetState );
     			}
			}
			return false;
		}
		}
}
	

