using System;
using Server;

namespace Server.Items
{
	public class FrozenDiabloSword : Broadsword
	{
		public override int ArtifactRarity{ get{ return 1100; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public FrozenDiabloSword()
		{
			Name = "Frozen Diablo's Sword";
			Hue = 1152;
			
			DurabilityLevel = WeaponDurabilityLevel.Indestructible;
         	Quality = WeaponQuality.Exceptional;

				WeaponAttributes.HitLightning = 40;
				WeaponAttributes.HitDispel = 200;
				WeaponAttributes.HitFireball = 120;
				WeaponAttributes.HitHarm = 140;
				WeaponAttributes.HitMagicArrow = 130;
				WeaponAttributes.HitLeechHits = 80;
				WeaponAttributes.HitLeechMana = 80;
				WeaponAttributes.HitLeechStam = 100;
				WeaponAttributes.HitLowerAttack = 120;
				WeaponAttributes.HitLowerDefend = 150;
				Attributes.BonusHits = 40;
				Attributes.WeaponDamage = 200;
				Attributes.WeaponSpeed = 110;
				Attributes.RegenHits = 10;
				Attributes.SpellChanneling = 2;
				Attributes.CastSpeed = 4;
				Attributes.RegenMana = 10;
				Slayer = SlayerName.Silver; 
		}

		

		public FrozenDiabloSword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
