using System;
using Server;

namespace Server.Items
{
	public class HarpySword : Broadsword
	{
		public override int ArtifactRarity{ get{ return 100; } }

		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public HarpySword()
		{
			Name = "HarpySword";
			Hue = 1157;
			
			DurabilityLevel = WeaponDurabilityLevel.Indestructible;
         	Quality = WeaponQuality.Exceptional;

				WeaponAttributes.HitLightning = 10;
				WeaponAttributes.HitDispel = 50;
				WeaponAttributes.HitFireball = 30;
				WeaponAttributes.HitHarm = 35;
				WeaponAttributes.HitMagicArrow = 32;
				WeaponAttributes.HitLeechHits = 20;
				WeaponAttributes.HitLeechMana = 20;
				WeaponAttributes.HitLeechStam = 25;
				WeaponAttributes.HitLowerAttack = 30;
				WeaponAttributes.HitLowerDefend = 50;
				Attributes.BonusHits = 10;
				Attributes.WeaponDamage = 50;
				Attributes.WeaponSpeed = 32;
				Attributes.RegenHits = 3;
				Attributes.SpellChanneling = 1;
				Attributes.CastSpeed = 1;
				Attributes.RegenMana = 3;
				Slayer = SlayerName.Silver; 
		}

		

		public HarpySword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
