using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1415, 0x1416 )]
	public class MinionChest : BaseArmor
	{
                public override int ArtifactRarity{ get{return 5; } }
		public override int BasePhysicalResistance{ get{ return 70; } }
		public override int BaseFireResistance{ get{ return 70; } }
		public override int BaseColdResistance{ get{ return 70; } }
		public override int BasePoisonResistance{ get{ return 70; } }
		public override int BaseEnergyResistance{ get{ return 70; } }

		public override int InitMinHits{ get{ return 561; } }
		public override int InitMaxHits{ get{ return 561; } }

		public override int AosStrReq{ get{ return 79; } }
		public override int OldStrReq{ get{ return 40; } }


                public override int AosDexReq{ get{ return 79; } }
		public override int OldDexBonus{ get{ return -2; } }

                public override int AosIntReq{ get{ return 79; } }

		public override int ArmorBase{ get{ return 40; } }

		public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } }

		[Constructable]
		public MinionChest() : base( 0x1415 )
		{
                      LootType = LootType.Blessed;
                   ArmorAttributes.MageArmor = 1;
                   Attributes.ReflectPhysical= 250;
                   Name = "Minion's Chest";
                   Hue = 1157;
			Weight = 10.0;
		}

		public MinionChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			if ( Weight == 1.0 )
				Weight = 10.0;
		}
	}
}
